#!/usr/bin/env node
'use strict';

var _statuses = require('./statuses');

var _utils = require('./utils');

require('colors');

if (process.env.NODE_ENV !== 'test') {
  var status = (0, _utils.getStatus)(process.env);

  if ((0, _utils.shouldSet)('lint')) (0, _statuses.setLintStatus)(status);
  if ((0, _utils.shouldSet)('flow')) (0, _statuses.setFlowStatus)(status);
  if ((0, _utils.shouldSet)('jest')) (0, _statuses.setJestStatus)(status);
  if ((0, _utils.shouldSet)('snyk')) (0, _statuses.setSnykStatus)(status, process.env);
  if ((0, _utils.shouldSet)('codeclimate')) (0, _statuses.setCodeClimateStatus)(process.env);
}