'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var exec = require('child_process').execSync;

exports.default = function (_ref) {
  var CODECLIMATE_REPO_TOKEN = _ref.CODECLIMATE_REPO_TOKEN;

  if (!CODECLIMATE_REPO_TOKEN) {
    return console.log('Code Climate Coverage: '.blue, 'WARNING: please provide the CODECLIMATE_REPO_TOKEN environment variable in Travis'.orange);
  }

  try {
    exec('cat coverage/lcov.info | node_modules/codeclimate-test-reporter/bin/codeclimate.js'

    // colored logging
    );console.log('Code Climate Coverage: '.blue, 'success!'.green);
  } catch (error) {
    console.log('WARNING: coverage failed to report to Code Climate (probably because you have no tests which import source code)'.orange, error);
  }
};