'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var exec = require('child_process').execSync;

var _require = require('../utils'),
    setStatus = _require.setStatus;

var eslint = require('eslint');

var cli = new eslint.CLIEngine();

exports.default = function (status) {
  var stdout = exec('git diff --name-only ' + process.env.TRAVIS_COMMIT_RANGE + ' -- \'*.js\'', { encoding: 'utf8' });
  var files = stdout // paths of *.js files that changed in the commit/PR
  .split('\n').slice(0, -1 // Remove the extra "" caused by the last newline

  );
  var _cli$executeOnFiles = cli.executeOnFiles(cli.resolveFileGlobPatterns(files)),
      errorCount = _cli$executeOnFiles.errorCount,
      warningCount = _cli$executeOnFiles.warningCount,
      results = _cli$executeOnFiles.results;

  var description = 'errors: ' + errorCount + ', warnings: ' + warningCount;
  var success = errorCount === 0;
  setStatus(status, 'ESLint Report', description, success

  // colored logging
  );var format = cli.getFormatter();
  var log = format(results);
  console.log('ESLINT:'.blue + ' ' + (log || 'all good'.blue));
};