'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var spawn = require('child_process').spawnSync;

var _require = require('../utils'),
    setStatus = _require.setStatus;

exports.default = function (status) {
  var _spawn = spawn('node_modules/.bin/flow', ['check'], {
    encoding: 'utf8'
  }),
      stdout = _spawn.stdout;

  var lines = stdout.split('\n');
  var lastLine = lines[lines.length - 2];
  var errorCount = parseInt(lastLine.replace('Found ', ''));

  var description = 'errors: ' + errorCount;
  var success = errorCount === 0;
  setStatus(status, 'Flow Report', description, success

  // colored logging
  );var log = stdout.replace(/\^(\^+)/g, '^$1'.red // insure we omit single carets
  );log = log.indexOf('Found 0 errors') === 0 ? log.blue : log;
  console.log('FLOW:'.blue + ' ' + log);
};