'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; }();

var spawn = require('child_process').spawnSync;

var _require = require('../utils'),
    setStatus = _require.setStatus;

exports.default = function (status) {
  var _spawn = spawn('node_modules/.bin/jest', ['--coverage'], {
    encoding: 'utf8'
  }),
      stderr = _spawn.stderr;

  var noTests = /Your test suite must contain at least one test/.test(stderr);

  if (noTests) {
    setStatus(status, 'Jest Tests', 'Pass: No Tests Yet', true);
    return console.log('JEST: No Tests Yet (Pass)'.blue);
  }

  var hasSkipped = /Tests:.+ (\d+) skipped/.test(stderr);

  if (hasSkipped) {
    var regex = /Tests:.+ (\d+) skipped, (\d+) passed, (\d+) total/;

    var _regex$exec$slice$map = regex.exec(stderr).slice(1, 4).map(function (num) {
      return parseInt(num);
    }),
        _regex$exec$slice$map2 = _slicedToArray(_regex$exec$slice$map, 3),
        skippedCount = _regex$exec$slice$map2[0],
        passedCount = _regex$exec$slice$map2[1],
        testCount = _regex$exec$slice$map2[2];

    var description = passedCount + ' passed, ' + testCount + ' total (' + skippedCount + ' skipped)';
    var success = passedCount === testCount - skippedCount;
    setStatus(status, 'Jest Tests', description, success);
  } else {
    var _regex = /Tests:.+ (\d+) passed, (\d+) total/;

    var _regex$exec$slice$map3 = _regex.exec(stderr).slice(1, 3).map(function (num) {
      return parseInt(num);
    }),
        _regex$exec$slice$map4 = _slicedToArray(_regex$exec$slice$map3, 2),
        _passedCount = _regex$exec$slice$map4[0],
        _testCount = _regex$exec$slice$map4[1];

    var _description = _passedCount + ' passed, ' + _testCount + ' total';
    var _success = _passedCount === _testCount;
    setStatus(status, 'Jest Tests', _description, _success);
  }

  // colored logging
  var log = stderr.replace(/✓/g, '✓'.green).replace(/✕/g, '✕'.red).replace('Ran all test suites.', 'JEST: Ran all test suites.'.blue);
  console.log(log);
};