'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var spawn = require('child_process').spawnSync;

var _require = require('../utils'),
    setStatus = _require.setStatus;

exports.default = function (status, _ref) {
  var SNYK_TOKEN = _ref.SNYK_TOKEN;

  if (!SNYK_TOKEN) {
    return console.log('Snyk Vulberabilities: '.blue, 'WARNING: please provide the SNYK_TOKEN environment variable in Travis'.orange);
  }

  var ret = spawn('node', ['node_modules/snyk/cli/index.js', 'test']);
  var success = parseInt(ret.status) === 0;
  var description = success ? 'none' : 'RED ALERT!';

  setStatus(status, 'Snyk Vulnerabilities', description, success);

  if (!success) {
    console.log(ret.output.toString());
  }
};